petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSignalSegvCheckPointer

To be called from a signal handler for SIGSEGV. If the signal was received while executing PetscCheckPointer(), this function longjmps back there, otherwise returns with no effect. This function is called automatically by PetscSignalHandlerDefault().

### Synopsis

    void PetscSignalSegvCheckPointer()

Not Collective

### See Also

PetscPushSignalHandler()

### Level

developer

### Location

src/sys/error/checkptr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages